Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

Public Member Functions | Public Attributes | List of all members
eZProductPriceRange Class Reference

## Public Member Functions
| __construct ( $id=-1)
| store ()
| delete ( $catID=-1)
| get ( $id=-1)
| fill (&$productArray)
& | getAll ( $offset=0, $limit=20)
| count ()
| id ()
& | min ()
& | max ()
| setMin ( $value)
| setMax ( $value)
| setProduct ( $value)
| product ( $asObjcet=true)
| __construct ( $id=-1)
| store ()
| delete ( $catID=-1)
| get ( $id=-1)
| fill (&$productArray)
& | getAll ( $offset=0, $limit=20)
| count ()
| id ()
& | min ()
& | max ()
| setProduct ( $value)
| product ( $asObjcet=true)

## Public Attributes
| $ID
| $Min
| $Max
| $ProductID

## Detailed Description

! ezquizgame ezquizgame documentation.

Example code:

$pricerange = new eZProductPricerange(); // Create a new eZProductPricerange object.
$product = new eZProduct( 4 ); // Get a product with id 4
$pricerange->setProduct( $product ); // Sets the product object.
$pricerange->setPrice( 100 ); // Set the price.
$pricerange->store(); // Stores the object to the database.
eZProduct
Definition: ezproduct.php:71
$product
$product
Definition: homepage.php:202

Definition at line 47 of file ezproductpricerange.php.

## Constructor & Destructor Documentation

## ◆ __construct() [1/2]

eZProductPriceRange::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZProductPriceRange object.

If $id is set the object's values are fetched from the database.

Definition at line 56 of file ezproductpricerange.php.

References $id, $ID, and fill().

## ◆ __construct() [2/2]

eZProductPriceRange::__construct | ( |  | $id = `-1` | ) |

Constructs a new eZProductPriceRange object.

If $id is set the object's values are fetched from the database.

Definition at line 56 of file ezvoucherpricerange.php.

References $id, $ID, and fill().

## Member Function Documentation

## ◆ count() [1/2]

eZProductPriceRange::count | ( |  | ) |

Returns the total count.

Definition at line 208 of file ezproductpricerange.php.

References $db, $result, $ret, and eZDB\globalDatabase().

Referenced by get(), and getAll().

## ◆ count() [2/2]

eZProductPriceRange::count | ( |  | ) |

Returns the total count.

Definition at line 208 of file ezvoucherpricerange.php.

References $db, $result, $ret, and eZDB\globalDatabase().

## ◆ delete() [1/2]

eZProductPriceRange::delete | ( |  | $catID = `-1` | ) |

Deletes a eZProductPriceRange object from the database.

Definition at line 116 of file ezproductpricerange.php.

References $db, $ID, $res, $ret, and eZDB\globalDatabase().

## ◆ delete() [2/2]

eZProductPriceRange::delete | ( |  | $catID = `-1` | ) |

Deletes a eZProductPriceRange object from the database.

Definition at line 117 of file ezvoucherpricerange.php.

References $db, $ID, $res, $ret, and eZDB\globalDatabase().

## ◆ fill() [1/2]

eZProductPriceRange::fill | ( | & | $productArray | ) |

Fills in information to the object taken from the array.

Definition at line 162 of file ezproductpricerange.php.

References $db, $productArray, and eZDB\globalDatabase().

Referenced by __construct(), and get().

## ◆ fill() [2/2]

eZProductPriceRange::fill | ( | & | $productArray | ) |

Fills in information to the object taken from the array.

Definition at line 163 of file ezvoucherpricerange.php.

References $productArray.

## ◆ get() [1/2]

eZProductPriceRange::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

True is retuned if successful, false (0) if not.

Definition at line 137 of file ezproductpricerange.php.

References $db, $id, $productArray, $ret, count(), fill(), and eZDB\globalDatabase().

## ◆ get() [2/2]

eZProductPriceRange::get | ( |  | $id = `-1` | ) |

Fetches the object information from the database.

True is retuned if successful, false (0) if not.

Definition at line 138 of file ezvoucherpricerange.php.

References $db, $id, $productArray, $ret, count(), fill(), and eZDB\globalDatabase().

## ◆ getAll() [1/2]

& eZProductPriceRange::getAll | ( |  | $offset = `0`,
|  |  | $limit = `20`
| ) |  |

Returns all the categories found in the database.

The categories are returned as an array of eZProductPriceRange objects.

Definition at line 176 of file ezproductpricerange.php.

References $db, $i, $limit, $offset, $productArray, count(), and eZDB\globalDatabase().

## ◆ getAll() [2/2]

& eZProductPriceRange::getAll | ( |  | $offset = `0`,
|  |  | $limit = `20`
| ) |  |

Returns all the categories found in the database.

The categories are returned as an array of eZProductPriceRange objects.

Definition at line 176 of file ezvoucherpricerange.php.

References $db, $i, $limit, $offset, $productArray, count(), and eZDB\globalDatabase().

## ◆ id() [1/2]

eZProductPriceRange::id | ( |  | ) |

Returns the object ID.

Definition at line 222 of file ezproductpricerange.php.

References $ID.

## ◆ id() [2/2]

eZProductPriceRange::id | ( |  | ) |

Returns the object ID.

Definition at line 222 of file ezvoucherpricerange.php.

References $ID.

## ◆ max() [1/2]

& eZProductPriceRange::max | ( |  | ) |

Returns the maximum price of the prince range.

Definition at line 238 of file ezproductpricerange.php.

References $Max.

## ◆ max() [2/2]

& eZProductPriceRange::max | ( |  | ) |

Returns the maximum price of the prince range.

Definition at line 238 of file ezvoucherpricerange.php.

References $Max.

## ◆ min() [1/2]

& eZProductPriceRange::min | ( |  | ) |

Returns the minimin price of the prince range.

Definition at line 230 of file ezproductpricerange.php.

References $Min.

## ◆ min() [2/2]

& eZProductPriceRange::min | ( |  | ) |

Returns the minimin price of the prince range.

Definition at line 230 of file ezvoucherpricerange.php.

References $Min.

## ◆ product() [1/2]

eZProductPriceRange::product | ( |  | $asObjcet = `true` | ) |

Returns the product of this object.

Definition at line 277 of file ezproductpricerange.php.

References $ProductID, and $ret.

## ◆ product() [2/2]

eZProductPriceRange::product | ( |  | $asObjcet = `true` | ) |

Returns the product of this object.

Definition at line 261 of file ezvoucherpricerange.php.

References $ProductID, and $ret.

## ◆ setMax()

eZProductPriceRange::setMax | ( |  | $value | ) |

Returns the maximum price of the prince range.

Definition at line 254 of file ezproductpricerange.php.

## ◆ setMin()

eZProductPriceRange::setMin | ( |  | $value | ) |

Sets the minimin price of the prince range.

Definition at line 246 of file ezproductpricerange.php.

## ◆ setProduct() [1/2]

eZProductPriceRange::setProduct | ( |  | $value | ) |

Sets the Product for this object.

Definition at line 262 of file ezproductpricerange.php.

## ◆ setProduct() [2/2]

eZProductPriceRange::setProduct | ( |  | $value | ) |

Sets the Product for this object.

Definition at line 246 of file ezvoucherpricerange.php.

## ◆ store() [1/2]

eZProductPriceRange::store | ( |  | ) |

Stores a eZProductPriceRange object to the database.

Definition at line 72 of file ezproductpricerange.php.

References $db, $res, eZDB\globalDatabase(), and Password.

## ◆ store() [2/2]

eZProductPriceRange::store | ( |  | ) |

Stores a eZProductPriceRange object to the database.

Definition at line 72 of file ezvoucherpricerange.php.

References $db, $res, eZDB\globalDatabase(), and Password.

## Member Data Documentation

## ◆ $ID

eZProductPriceRange::$ID

Definition at line 290 of file ezproductpricerange.php.

Referenced by __construct(), delete(), and id().

## ◆ $Max

eZProductPriceRange::$Max

Definition at line 292 of file ezproductpricerange.php.

Referenced by max().

## ◆ $Min

eZProductPriceRange::$Min

Definition at line 291 of file ezproductpricerange.php.

Referenced by min().

## ◆ $ProductID

eZProductPriceRange::$ProductID

Definition at line 293 of file ezproductpricerange.php.

Referenced by product().

The documentation for this class was generated from the following files:

- ezproductpricerange.php
- ezvoucherpricerange.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.